Qwt User's Guide 6.0.2

- Main Page
- Related Pages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions
QwtLinearScaleEngine Class Reference

`#include <qwt_scale_engine.h>`

Inheritance diagram for QwtLinearScaleEngine:
[legend]

List of all members.

## Public Member Functions

virtual void | autoScale (int maxSteps, double &x1, double &x2, double &stepSize) const
virtual QwtScaleDiv | divideScale (double x1, double x2, int numMajorSteps, int numMinorSteps, double stepSize=0.0) const
virtual QwtScaleTransformation * | transformation () const
Public Member Functions inherited from QwtScaleEngine
| QwtScaleEngine ()
virtual | ~QwtScaleEngine ()
Attributes | attributes () const
double | lowerMargin () const
double | reference () const
void | setAttribute (Attribute, bool on=true)
void | setAttributes (Attributes)
void | setMargins (double lower, double upper)
void | setReference (double reference)
bool | testAttribute (Attribute) const
double | upperMargin () const

## Protected Member Functions

QwtInterval | align (const QwtInterval &, double stepSize) const
QList< double > | buildMajorTicks (const QwtInterval &interval, double stepSize) const
void | buildMinorTicks (const QList< double > &majorTicks, int maxMinMark, double step, QList< double > &, QList< double > &) const
void | buildTicks (const QwtInterval &, double stepSize, int maxMinSteps, QList< double > ticks[QwtScaleDiv::NTickTypes]) const
Protected Member Functions inherited from QwtScaleEngine
QwtInterval | buildInterval (double v) const
bool | contains (const QwtInterval &, double val) const
double | divideInterval (double interval, int numSteps) const
QList< double > | strip (const QList< double > &, const QwtInterval &) const

## Additional Inherited Members

Public Types inherited from QwtScaleEngine
enum | Attribute { NoAttribute = 0x00, IncludeReference = 0x01, Symmetric = 0x02, Floating = 0x04, Inverted = 0x08 }
typedef QFlags< Attribute > | Attributes

## Detailed Description

A scale engine for linear scales.

The step size will fit into the pattern , where n is an integer.

## Member Function Documentation

QwtInterval QwtLinearScaleEngine::align | ( | const QwtInterval & | interval,
|  | double | stepSize
| ) |  | const

protected

Align an interval to a step size.

The limits of an interval are aligned that both are integer multiples of the step size.

Parameters:

  interval | Interval
  stepSize | Step size

Returns:
  Aligned interval

void QwtLinearScaleEngine::autoScale | ( | int | maxNumSteps,
|  | double & | x1,
|  | double & | x2,
|  | double & | stepSize
| ) |  | const

virtual

Align and divide an interval

Parameters:

  maxNumSteps | Max. number of steps
  x1 | First limit of the interval (In/Out)
  x2 | Second limit of the interval (In/Out)
  stepSize | Step size (Out)

See also:
  setAttribute()

Implements QwtScaleEngine.

QList< double > QwtLinearScaleEngine::buildMajorTicks | ( | const QwtInterval & | interval,
|  | double | stepSize
| ) |  | const

protected

Calculate major ticks for an interval.

Parameters:

  interval | Interval
  stepSize | Step size

Returns:
  Calculated ticks

void QwtLinearScaleEngine::buildMinorTicks | ( | const QList< double > & | majorTicks,
|  | int | maxMinSteps,
|  | double | stepSize,
|  | QList< double > & | minorTicks,
|  | QList< double > & | mediumTicks
| ) |  | const

protected

Calculate minor/medium ticks for major ticks.

Parameters:

  majorTicks | Major ticks
  maxMinSteps | Maximum number of minor steps
  stepSize | Step size
  minorTicks | Array to be filled with the calculated minor ticks
  mediumTicks | Array to be filled with the calculated medium ticks

void QwtLinearScaleEngine::buildTicks | ( | const QwtInterval & | interval,
|  | double | stepSize,
|  | int | maxMinSteps,
|  | QList< double > | ticks[QwtScaleDiv::NTickTypes]
| ) |  | const

protected

Calculate ticks for an interval.

Parameters:

  interval | Interval
  stepSize | Step size
  maxMinSteps | Maximum number of minor steps
  ticks | Arrays to be filled with the calculated ticks

See also:
  buildMajorTicks(), buildMinorTicks

QwtScaleDiv QwtLinearScaleEngine::divideScale | ( | double | x1,
|  | double | x2,
|  | int | maxMajSteps,
|  | int | maxMinSteps,
|  | double | stepSize = `0.0`
| ) |  | const

virtual

Calculate a scale division.

Parameters:

  x1 | First interval limit
  x2 | Second interval limit
  maxMajSteps | Maximum for the number of major steps
  maxMinSteps | Maximum number of minor steps
  stepSize | Step size. If stepSize == 0, the scaleEngine calculates one.

See also:
  QwtScaleEngine::stepSize(), QwtScaleEngine::subDivide()

Implements QwtScaleEngine.

QwtScaleTransformation * QwtLinearScaleEngine::transformation | ( |  | ) | const

virtual

Return a transformation, for linear scales

Implements QwtScaleEngine.